glab(1)

NAME
glab-cluster-agent-check_manifest_usage - Find agents using deprecated GitOps manifest settings. (EXPERIMENTAL)

SYNOPSIS
glab cluster agent check_manifest_usage [flags]

DESCRIPTION
Searches a group and its descendant projects for registered agents whose configuration files include the deprecated gitops.manifest_projects setting.

The output is tab-separated and can be redirected to a TSV file.

This feature is an experiment and is not ready for production use. It might be unstable or removed at any time. For more information, see https://docs.gitlab.com/policy/development_stages_support/.

OPTIONS
-a, --agent-page=1
    Page number for agents.

-A, --agent-per-page=30
    Number of agents to list per page.

-g, --group=""
    Group ID to check.

-p, --page=1
    Page number for projects.

-P, --per-page=30
    Number of projects to list per page.

-r, --recursive[=false]
    Recursively check subgroups.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    # Check a group for agents using deprecated GitOps manifest settings
    glab cluster agent check_manifest_usage --group my-group
    # Recursively check a group and all its subgroups
    glab cluster agent check_manifest_usage --group my-group --recursive

SEE ALSO
glab-cluster-agent(1)